{ stdenv, fetchFromGitHub, rustPlatform, pkgconfig }:

rustPlatform.buildRustPackage rec {
  version = "0.3.1";
  pname = "itm";

  src = fetchFromGitHub {
    owner = "rust-embedded";
    repo = "itm";
    rev = "v${version}";
    sha256 = "15pa0ydm19vz8p3wairpx3vqzc55rp4lgki143ybgw44sgf8hraj";
  };

  cargoPatches = [ ./itm-cargo-lock.patch ];

  cargoSha256 = "1x2pagfxwhgxliygw7325qsg3ccn276f4slg9cql0sf1s304qj4g";

  nativeBuildInputs = [ pkgconfig ];

  doCheck = false;
}